scala.xml
class PrefixedAttribute

[source: `scala/xml/PrefixedAttribute.scala`]

`` `class` PrefixedAttribute(`val` pre : String, `val` key : String, `val` value : Seq[Node], `val` next : MetaData)
  `extends` MetaData

  prefixed attributes always have a non-null namespace.

Parameters
  `pre -` ...
  `key -` ...
  `value -` the attribute value, which may not be null
  `next -` ...

Additional Constructor Summary
`def` | this (pre : String, key : String, value : String, next : MetaData) : PrefixedAttribute same as this(key, Utility.parseAttributeValue(value), next)

Method Summary
`def` | apply (key : String) : Seq[Node] forwards the call to next (because caller looks for unprefixed attribute
`def` | apply (namespace : String, scope : NamespaceBinding, key : String) : Seq[Node] gets attribute value of qualified (prefixed) attribute with given key
`def` | copy (next : MetaData) : PrefixedAttribute Returns a copy of this unprefixed attribute with the given next field.
`def` | equals1 (m : MetaData) : Boolean shallow equals method
`def` | getNamespace (owner : Node) : String if owner is the element of this metadata item, returns namespace
`override def` | hashCode : Int returns the hashcode.
`final def` | isPrefixed : Boolean returns true
`def` | remove (namespace : String, scope : NamespaceBinding, key : String) : MetaData
`def` | remove (key : String) : PrefixedAttribute
`def` | toString1 (sb : StringBuilder) : Unit appends string representation of only this attribute to stringbuffer
`def` | wellformed (scope : NamespaceBinding) : Boolean

Methods inherited from MetaData
append, apply, containedIn1, hasNext, length, length, equals, elements, size, filter, map, get, get, get, toString1, toString, toString, remove

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, isEmpty, projection, hasDefiniteSize

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf